package com.persagy.person.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.person.pojo.dto.SaasAccount;

/**
 * 账号信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasAccountMapper extends BaseMapper<SaasAccount> {

	/**
	 * 获取账号列表，此方法会关联出集团名称信息
	 * 
	 * @param saasAccount
	 * @param startRow
	 * @param size
	 * @return
	 */
	List<SaasAccount> queryAccountGroupList(@Param("account") SaasAccount saasAccount, @Param("startRow") int startRow, @Param("size") int size);

}
